Copy Environment Configurations

Facets Deployment Controller API: PUT endpoint to selectively copy configurations between clusters, including or excluding specified configuration types.

PUT
/cc-ui/v1/clusters/{clusterId}/copy-configurations-selective

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

clusterId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://facetsdemo.console.facets.cloud/cc-ui/v1/clusters/string/copy-configurations-selective" \  -H "Content-Type: application/json" \  -d '{}'
{
  "autoSignOffSchedule": "string",
  "baseClusterId": "string",
  "baseClusterName": "string",
  "branch": "string",
  "cdPipelineParent": "string",
  "changeLog": "string",
  "cloud": "AWS",
  "cloudAccountId": "string",
  "cloudAccountSecretId": "string",
  "clusterCode": "string",
  "clusterState": "STOPPED",
  "commonEnvironmentVariables": {
    "property1": "string",
    "property2": "string"
  },
  "componentVersions": {
    "property1": "string",
    "property2": "string"
  },
  "configured": true,
  "createdBy": "string",
  "creationDate": "2019-08-24T14:15:22Z",
  "deleted": true,
  "description": "string",
  "enableAutoSignOff": true,
  "globalVariables": {
    "property1": "string",
    "property2": "string"
  },
  "hasK8sCredentials": true,
  "id": "string",
  "isEphemeral": true,
  "k8sRequestsToLimitsRatio": 0.1,
  "lastModifiedBy": "string",
  "lastModifiedDate": "2019-08-24T14:15:22Z",
  "name": "string",
  "namespace": "string",
  "pauseReleases": true,
  "releaseStream": "string",
  "requireSignOff": true,
  "secrets": {
    "property1": "string",
    "property2": "string"
  },
  "stackName": "string",
  "tz": "string",
  "variables": {
    "property1": {
      "description": "string",
      "global": true,
      "secret": true,
      "status": "DEFAULT",
      "value": "string"
    },
    "property2": {
      "description": "string",
      "global": true,
      "secret": true,
      "status": "DEFAULT",
      "value": "string"
    }
  },
  "versioningKey": "string"
}
{
  "approvalUrl": "string",
  "code": "string",
  "errorCode": "string",
  "message": "string",
  "missingPermissions": [
    "string"
  ]
}
"string"
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}